searchNodes=[{"ref":"Neuron.html","title":"Neuron","type":"module","doc":"Neuron is a GraphQL client for elixir. Usage iex&gt; Neuron.Config.set(url: &quot;https://example.com/graph&quot;) iex&gt; Neuron.query(&quot;&quot;&quot; { films { title } } &quot;&quot;&quot;) # Response will be: {:ok, %Neuron.Response{body: %{&quot;data&quot; =&gt; {&quot;films&quot; =&gt; [%{&quot;title&quot; =&gt; &quot;A New Hope&quot;}]}}%, status_code: 200, headers: []}} # You can also run mutations iex&gt; Neuron.query(&quot;&quot;&quot; mutation createUser($name: String!) { createUser(name: $name) { id name } } &quot;&quot;&quot;, %{name: &quot;uesteibar&quot;} )"},{"ref":"Neuron.html#json_library/0","title":"Neuron.json_library/0","type":"function","doc":"Returns the JSON library that is configured in Neuron. Default is Jason."},{"ref":"Neuron.html#query/3","title":"Neuron.query/3","type":"function","doc":"runs a query request to your graphql endpoint. Example Neuron.query(&quot;&quot;&quot; { films { count } } &quot;&quot;&quot;) You can pass variables for your query Example Neuron.query( &quot;&quot;&quot; mutation createUser($name: String!) { createUser(name: $name) { id name } } &quot;&quot;&quot;, %{name: &quot;uesteibar&quot;} ) You can also overwrite parameters set on Neuron.Config by passing them as options. Example Neuron.query( &quot;&quot;&quot; mutation createUser($name: String!) { createUser(name: $name) { id name } } &quot;&quot;&quot;, %{name: &quot;uesteibar&quot;}, url: &quot;https://www.other.com/graphql&quot; )"},{"ref":"Neuron.Config.html","title":"Neuron.Config","type":"module","doc":"This module can be used to modify your graphql client configuration either globaly or for the current process."},{"ref":"Neuron.Config.html#get/1","title":"Neuron.Config.get/1","type":"function","doc":"gets configuration value for Neuron Examples iex&gt;Neuron.Config.set(url: &quot;http://example.com/graph&quot;) iex&gt;Neuron.Config.get(:url) &quot;http://example.com/graph&quot; iex&gt;Neuron.Config.set(headers: [name: &quot;value&quot;]) iex&gt;Neuron.Config.get(:headers) [name: &quot;value&quot;] iex&gt;Neuron.Config.get(:invalid) nil"},{"ref":"Neuron.Config.html#set/1","title":"Neuron.Config.set/1","type":"function","doc":"sets global configuration values for Neuron Examples iex&gt; Neuron.Config.set(url: &quot;http://example.com/graph&quot;) :ok"},{"ref":"Neuron.Config.html#set/2","title":"Neuron.Config.set/2","type":"function","doc":"sets global/process configuration values for Neuron Available options are: url: graphql endpoint url headers: headers to be sent in the request connection_opts: additional options to be passed to HTTPoison json_library: JSON library. Default is Jason. parse_options: options to be passed to the JSON library when decoding JSON Examples iex&gt; Neuron.Config.set(headers: [name: &quot;val&quot;]) :ok iex&gt; Neuron.Config.set(:process, url: &quot;http://example.com/graph&quot;) :ok iex&gt; Neuron.Config.set(json_library: Jason) :ok iex&gt; Neuron.Config.set(parse_options: [keys: :atoms]) :ok"},{"ref":"Neuron.Fragment.html","title":"Neuron.Fragment","type":"module","doc":"This module can be used to register fragments to be used in your GraphQL queries"},{"ref":"Neuron.Fragment.html#register/1","title":"Neuron.Fragment.register/1","type":"function","doc":"registers a fragment that will automatically be added to future mutations and queries that require it Example iex&gt; Neuron.Fragment.register(&quot; ...&gt; NameParts on Person { ...&gt; firstName ...&gt; lastName ...&gt; } ...&gt; &quot;) :ok"},{"ref":"Neuron.Fragment.html#register/2","title":"Neuron.Fragment.register/2","type":"function","doc":""},{"ref":"Neuron.JSONParseError.html","title":"Neuron.JSONParseError","type":"module","doc":"Struct representation of a JSON parse error."},{"ref":"Neuron.JSONParseError.html#t:t/0","title":"Neuron.JSONParseError.t/0","type":"type","doc":""},{"ref":"Neuron.MissingFragmentsError.html","title":"Neuron.MissingFragmentsError","type":"exception","doc":""},{"ref":"Neuron.Response.html","title":"Neuron.Response","type":"module","doc":"Struct representation of a query response."},{"ref":"Neuron.Response.html#handle_unparsable/2","title":"Neuron.Response.handle_unparsable/2","type":"function","doc":""},{"ref":"Neuron.Response.html#t:t/0","title":"Neuron.Response.t/0","type":"type","doc":""},{"ref":"Neuron.Store.html","title":"Neuron.Store","type":"module","doc":"This module provides a simple way to interface with the process and application environmental variables, acting as a simple KV store. WARNING: this module is not intended to be used outside of this library."},{"ref":"Neuron.Store.html#current_context/1","title":"Neuron.Store.current_context/1","type":"function","doc":"gets the context of a given neuron application/process environmental variable Examples iex&gt; Neuron.Store.current_context(:my_key) :global"},{"ref":"Neuron.Store.html#delete/1","title":"Neuron.Store.delete/1","type":"function","doc":"deletes neuron application/process environmental variables Examples iex&gt; Neuron.Store.delete(:my_key) :ok"},{"ref":"Neuron.Store.html#delete/2","title":"Neuron.Store.delete/2","type":"function","doc":""},{"ref":"Neuron.Store.html#get/1","title":"Neuron.Store.get/1","type":"function","doc":"returns neuron application/process environmental variables Examples iex&gt; Neuron.Store.set(:my_key, &quot;value&quot;) :ok iex&gt; Neuron.Store.get(:my_key) &quot;value&quot;"},{"ref":"Neuron.Store.html#get/2","title":"Neuron.Store.get/2","type":"function","doc":""},{"ref":"Neuron.Store.html#get/3","title":"Neuron.Store.get/3","type":"function","doc":""},{"ref":"Neuron.Store.html#set/2","title":"Neuron.Store.set/2","type":"function","doc":"sets neuron application/process environmental variables Examples iex&gt; Neuron.Store.set(:my_key, &quot;value&quot;) :ok"},{"ref":"Neuron.Store.html#set/3","title":"Neuron.Store.set/3","type":"function","doc":""},{"ref":"readme.html","title":"README","type":"extras","doc":"A GraphQL client for Elixir."},{"ref":"readme.html#index","title":"README - Index","type":"extras","doc":"Installation Usage Running Locally Contributing"},{"ref":"readme.html#installation","title":"README - Installation","type":"extras","doc":"def deps do [{:neuron, &quot;~&gt; 4.0.0&quot;}] end"},{"ref":"readme.html#json-library","title":"README - JSON library","type":"extras","doc":"Neuron defaults to using Jason for JSON encoding and decoding. To use Jason, add it to your deps {:jason, &quot;~&gt; 1.1&quot;} It is also possible to customize which JSON library that is used Neuron.Config.set(json_library: AnotherJSONLibrary)"},{"ref":"readme.html#usage","title":"README - Usage","type":"extras","doc":"iex&gt; Neuron.Config.set(url: &quot;https://example.com/graph&quot;) iex&gt; Neuron.query(&quot;&quot;&quot; { films { count } } &quot;&quot;&quot;) # Response will be: {:ok, %Neuron.Response{body: %{&quot;data&quot; =&gt; %{&quot;films&quot; =&gt; %{ &quot;count&quot;: 123 }}}, status_code: 200, headers: []}} # You can also run mutations iex&gt; Neuron.query(&quot;&quot;&quot; mutation createUser($name: String!) { createUser(name: $name) { id name } } &quot;&quot;&quot;, %{name: &quot;uesteibar&quot;} ) # You can also set url and headers as shown below iex&gt; Neuron.query(&quot;&quot;&quot; mutation createUser($name: String!) { createUser(name: $name) { id name } } &quot;&quot;&quot;, %{name: &quot;uesteibar&quot;}, url: &quot;https://example.com/graph&quot;, headers: [authorization: &quot;Bearer &lt;token&gt;&quot;] ) More extensive documentation can be found at https://hexdocs.pm/neuron."},{"ref":"readme.html#running-locally","title":"README - Running locally","type":"extras","doc":"Clone the repository git clone git@github.com:uesteibar/neuron.git Install dependencies cd neuron mix deps.get To run the tests mix test"},{"ref":"readme.html#style-guide","title":"README - Style guide","type":"extras","doc":"Code is formatted with mix format and mix credo should not show warnings. To format the code and run static code analysis with credo mix format mix credo"},{"ref":"readme.html#contributing","title":"README - Contributing","type":"extras","doc":"Pull requests are always welcome =) The project uses standard-changelog to update the Changelog with each commit message and upgrade the package version. For that reason every contribution should have a title and body that follows the conventional commits standard conventions (e.g. feat(connection): Make it smarter than Jarvis). To make this process easier, you can do the following: Install commitizen and cz-conventional-changelog globally npm i -g commitizen cz-conventional-changelog Save cz-conventional-changelog as default echo &#39;{ &quot;path&quot;: &quot;cz-conventional-changelog&quot; }&#39; &gt; ~/.czrc Instead of git commit, you can now run git cz and follow the instructions to generate the commit message."}]